microsoft-foundry.rest.security.o-auth2-auth
Memory Stores
Delete a memory item
DELETE
/memory_stores/{name}/items/{memory_id}
Deletes the specified memory item from the memory store.
Parâmetros do cabeçalho
Foundry-Features
enum
obrigatório
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
MemoryStores=V1Preview
Parâmetros de caminho
name
string
obrigatório
The name of the memory store.
memory_id
string
obrigatório
The ID of the memory item to delete.
Parâmetros de consultas
api-version
string
obrigatório
The API version to use for this operation.
Respostas
The request has succeeded.
Corpo
Content-Type: application/json
object
enum
obrigatório
The object type. Always 'memory_store.item.deleted'.
memory_store.item.deleted
memory_id
string
obrigatório
The unique ID of the deleted memory item.
deleted
boolean
obrigatório
Whether the memory item was successfully deleted.
Pedir
DELETE /memory_stores/{name}/items/{memory_id} HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json